--- ./ssl_common.h	2021-11-20 08:43:20.000000000 -0500
+++ ./ssl_common.h	2021-11-20 08:48:53.000000000 -0500
@@ -32,8 +32,24 @@
 
 #include "project.h"
 
+/*
+ * Use ECC, i.e. OpenSSL EVP_PKEY_EC; otherwise use EVP_PKEY_RSA
+ */
+#define USE_EVP_PKEY_EC
+
+/*
+ * Use EVP_PKEY_RSA by default
+ */
+#ifndef USE_EVP_PKEY_EC
 #define RSA_KEY_PUBLIC_EXPONENT          65537             /* Public exponent for RSA private key generating */
 #define RSA_KEYSIZE                      2048              /* Size of generated RSA keys */
+#else
+/*
+ * See <openssl/obj_mac.h>
+ */
+#define EC_GROUP_NAME                    SN_X9_62_prime256v1 /* EC group name */
+#endif
+
 #define ERROR_BUF_SIZE                   1024              /* Size of buffer for error messages */
 #define INVALID_CERT_INFO_BUF_SIZE       2048              /* Size of buffer for message with information about reason of certificate invalidity. Data after the end of buffer will not be saved */
 #define KEY_FILE_TYPE                    ".pem"
